<?php
	include("config.php");
	$id_anggaran=mysqli_real_escape_string($mysqli,$_GET["id_anggaran"]);

	//mengecek apakah memiliki sub account, jika ada tidak bisa dihapus langsung, harus menghapus sub accountnya terlebih dahulu

	$qr=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE id='$id_anggaran'");
	if(mysqli_num_rows($qr)>0){
		$dt=mysqli_fetch_array($qr);
		$kode_rekening=$dt["kode_rekening"];
		$jenis_kode_rekening=$dt["jenis_kode_rekening"];



		$qt=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE induk_kode_rekening='$kode_rekening'");
		if(mysqli_num_rows($qt)>0){
			$bisadihapus="TIDAK";
		}else{
			$bisadihapus="YA";
		}

		if($jenis_kode_rekening=="H"){
			$qw=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE kode_rekening='$kode_rekening' AND jenis_kode_rekening='D'");
			if(mysqli_num_rows($qw)>0){
				$bisadihapus2="TIDAK";
			}else{
				$bisadihapus2="YA";
			}
		}
	}
	
	if($bisadihapus=="TIDAK"){
		msgbox("Mata Anggaran ini tidak dapat dihapus karena masih memiliki Sub Account...");
		lempar("admin.php?page=ls_anggaran&page_desc=Daftar Mata Anggaran");
		die();
	}

	if($bisadihapus2=="TIDAK"){
		msgbox("Mata Anggaran ini tidak dapat dihapus karena masih memiliki Sub Account...");
		lempar("admin.php?page=ls_anggaran&page_desc=Daftar Mata Anggaran");
		die();
	}

	$sql="DELETE FROM m_anggaran WHERE id='$id_anggaran'";
	
	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Data Anggaran berhasil dihapus");
		lempar("admin.php?page=ls_anggaran&page_desc=Daftar Mata Anggaran");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_anggaran&page_desc=Daftar Mata Anggaran");
	}
	
	
	
?>